import request from '@/utils/request';

export function getThirdPartyUrl(pageNum: number, pageSize: number) {
    return request({
        url: `/url/keyid/list?pageNum=${pageNum}&pageSize=${pageSize}`,
        method: 'get',
    });
}

export function deleteOne(urlIds: string) {
    return request({
        url: `/url/keyid/${urlIds}`,
        method: 'delete'
    })
}

export function createOne(params: crcateOneParams) {
    return request({
        url: '/url/keyid',
        method: 'post',
        data: params,
    })
}

export interface ThirdPartyUrlInstance {
    createBy: string,
    createTime: string,
    updateBy: any,
    updateTime: any,
    remark: any,
    urlId: string,
    url: string,
    keyid: string,
}

export interface crcateOneParams {
    url: string,
}
